Subject: Protocol Action: 'Time to Remove Filters for Previously Unallocated IPv4 /8s' to BCP (draft-ietf-grow-no-more-unallocated-slash8s-04.txt)

From: The IESG <[email-masked]>
Date: Mon, 24 Oct 2011 11:18:15 -0700

The IESG has approved the following document:
- 'Time to Remove Filters for Previously Unallocated IPv4 /8s'
  (draft-ietf-grow-no-more-unallocated-slash8s-04.txt) as a BCP

This document is the product of the Global Routing Operations Working
Group.

The IESG contact persons are Ron Bonica and Dan Romascanu.

A URL of this Internet Draft is:
http://datatracker.ietf.org/doc/draft-ietf-grow-no-more-unallocated-slash8s/

  Technical Summary

    " It has been common for network administrators to filter IP traffic
   from and BGP prefixes of unallocated IPv4 address space.  Now that
   there are no longer any unallocated IPv4 /8s, this practise is more
   complicated, fragile and expensive.  Network administrators are
   advised to remove filters based on the registration status of the
   address space.

   This document explains why any remaining packet and BGP prefix
   filters for unallocated IPv4 /8s should now be removed on border
   routers and documents those IPv4 unicast prefixes that should not be
   routed across the public Internet."

  Working Group Summary
  
    "There were no standout notes in the WG process for this document."

Document Quality
 
   "This document covers operational guidance, not code. As such there are no implementations and this is not a protocol."

RFC Editor Note

OLD>
   Network operators who only wish to filter traffic originating from
   addresses that should never be routed across the Internet, Martians,
   can deploy a set of packet and prefix filters designed to block
   traffic from address blocks reserved for special purposes.  These
   are:

      - 0.0.0.0/8 (Local identification) [RFC1122];

      - 10.0.0.0/8 (Private use) [RFC1918];

      - 127.0.0.0/8 (Loopback) [RFC1122];

      - 169.254.0.0/16 (Link local) [RFC3927];

      - 172.16.0.0/12 (Private use) [RFC1918];

      - 192.0.2.0/24 (TEST-NET-1) [RFC5737];

      - 192.168.0.0/16 (Private use) [RFC1918];

      - 198.18.0.0/15 (Benchmark testing) [RFC2544];

      - 198.51.100.0/24 (TEST-NET-2) [RFC5737];

      - 203.0.113.0/24 (TEST-NET-3) [RFC5737];

      - 224.0.0.0/4 (Multicast) [RFC5771]; and

      - 240.0.0.0/4 (Future use) [RFC1112].

   A full set of special use IPv4 addresses can be found in [RFC5735].
   It includes prefixes that are intended for Internet use.

NEW> 
Network operators may deploy filters that block traffic destined for Martian prefixes. Currently, the Martian prefix table is 
defined by [RFC 5735] which reserves each Martian prefix for some specific, special-use. If the Martian prefix table 
ever changes, that change will be documented in an RFC that either updates or obsoletes [RFC 5735].
<END